Package org.springframework.format.annotation

# Enum Class DateTimeFormat.ISO

java.lang.Object
java.lang.Enum<DateTimeFormat.ISO>
org.springframework.format.annotation.DateTimeFormat.ISO

All Implemented Interfaces:
  `Serializable`, `Comparable<DateTimeFormat.ISO>`, `Constable`

Enclosing class:
  DateTimeFormat

public static enum DateTimeFormat.ISO extends Enum<DateTimeFormat.ISO>
Common ISO date time format patterns.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DATE`
The most common ISO Date Format `yyyy-MM-dd` — for example, "2000-10-31".
`DATE_TIME`
The most common ISO Date Time Format `yyyy-MM-dd'T'HH:mm:ss.SSSXXX` — for example, "2000-10-31T01:30:00.000-05:00".
`NONE`
Indicates that no ISO-based format pattern should be applied.
`TIME`
The most common ISO Time Format `HH:mm:ss.SSSXXX` — for example, "01:30:00.000-05:00".

## Method Summary

Modifier and Type
Method
Description
`static DateTimeFormat.ISO`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DateTimeFormat.ISO[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DATE

public static final DateTimeFormat.ISO DATE
The most common ISO Date Format `yyyy-MM-dd` — for example, "2000-10-31".

### TIME

public static final DateTimeFormat.ISO TIME
The most common ISO Time Format `HH:mm:ss.SSSXXX` — for example, "01:30:00.000-05:00".

### DATE_TIME

public static final DateTimeFormat.ISO DATE_TIME
The most common ISO Date Time Format `yyyy-MM-dd'T'HH:mm:ss.SSSXXX` — for example, "2000-10-31T01:30:00.000-05:00".

### NONE

public static final DateTimeFormat.ISO NONE
Indicates that no ISO-based format pattern should be applied.

## Method Details

### values

public static DateTimeFormat.ISO[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DateTimeFormat.ISO valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null